package com.cpxt.biz.service;

import java.util.List;
import com.cpxt.biz.domain.BizCustomerUser;

/**
 * 用户Service接口
 * 
 * @author YIN
 * @date 2024-12-16
 */
public interface IBizCustomerUserService 
{
    /**
     * 查询用户
     * 
     * @param id 用户主键
     * @return 用户
     */
    public BizCustomerUser selectBizCustomerUserById(Long id);

    /**
     * 查询用户列表
     * 
     * @param bizCustomerUser 用户
     * @return 用户集合
     */
    public List<BizCustomerUser> selectBizCustomerUserList(BizCustomerUser bizCustomerUser);

    /**
     * 新增用户
     * 
     * @param bizCustomerUser 用户
     * @return 结果
     */
    public int insertBizCustomerUser(BizCustomerUser bizCustomerUser);

    /**
     * 修改用户
     * 
     * @param bizCustomerUser 用户
     * @return 结果
     */
    public int updateBizCustomerUser(BizCustomerUser bizCustomerUser);

    /**
     * 批量删除用户
     * 
     * @param ids 需要删除的用户主键集合
     * @return 结果
     */
    public int deleteBizCustomerUserByIds(Long[] ids);

    /**
     * 删除用户信息
     * 
     * @param id 用户主键
     * @return 结果
     */
    public int deleteBizCustomerUserById(Long id);
}
